' %Z%%M%    %I%  %W%  %G%  %U%
' IBM Security Compliance Manager
' 5724-F82
' (C) IBM, 2006.
' All Rights Reserved
' Licensed Materials - Property of IBM
'
' US Government Users Restricted Rights - Use, duplication or
' disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

On Error Resume Next
Err.Clear

Const wbemFlagReturnImmediately = &h10
Const wbemFlagForwardOnly = &h20
Dim procRunning
procRunning=0

if (WScript.Arguments.Named.Exists("PROC_NAME") OR WScript.Arguments.Named.Exists("FILEPATH")) then
  processName = WScript.Arguments.Named.Item("PROC_NAME")
  path = WScript.Arguments.Named.Item("FILEPATH")
else
  WScript.Echo "Usage: NavV2.vbs /PROC_NAME:processName [/computer:value]"
  WScript.Echo "OR"
  WScript.Echo "Usage: NavV2.vbs /FILEPATH:path [/computer:value]"
  WScript.Quit(1)
end if

if (WScript.Arguments.Named.Exists("PROC_NAME")) then
	computerName = "."
	if WScript.Arguments.Named.Exists("computer") then
	  computerName = WScript.Arguments.Named.Item("computer")
	end if

	query = "SELECT Name FROM Win32_Process WHERE Name='" & processName & "'"

	url = "winmgmts:\\" & computerName & "\root\CIMV2"

	Set objWMIService = GetObject(url)

	Set colItems = objWMIService.ExecQuery(query, "WQL", _
	                                          wbemFlagReturnImmediately + wbemFlagForwardOnly)
	For Each objItem In colItems
	    WScript.Echo "Value  = " & objItem.name
	    procRunning=1
	Next
	
	if (procRunning=0) Then
   	   WScript.Echo "INFO: The process is not running"
	end if
end if

if (WScript.Arguments.Named.Exists("FILEPATH")) then
	set fileObj=WScript.CreateObject("Scripting.FileSystemObject")
	if fileObj.FileExists(path) then
	   Wscript.Echo fileObj.GetFileVersion(path)
	else
	   Wscript.Echo "ERROR: File " & path & " does not exist"
	end if
end if