' @(#)69    1.3  src/hc/client/collectors/C/vbs/windowsfw.vbs, hc.collectors.win, scmweb, 051102a  11/1/05  12:52:14   
' IBM Security Compliance Manager
' 5724-F82                       
' (C) IBM, 2005.                 
' All Rights Reserved            
' Licensed Materials - Property of IBM 
'
' US Government Users Restricted Rights - Use, duplication or 
' disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

On Error Resume Next
Err.Clear

Dim strComputer
Dim cmdStr
Dim objWMIService
Dim colListOfServices
Dim objItem
Dim property
Dim sh

Dim installPath
Dim installDate
Dim version
Dim firewallEnabled
Dim startMode
Dim serviceStarted
Dim serviceStatus

if Wscript.Arguments.Named.Exists("computer") then
  strComputer= WScript.Arguments.Named.Item("computer")
else
  strComputer = "."
end if

cmdStr= "winmgmts:{impersonationLevel=impersonate}!\\" & strComputer & "\root\cimv2"

Set objWMIService = GetObject(cmdStr)

serviceStarted="False"

Set colListOfServices = objWMIService.ExecQuery( "Select * from Win32_Service where name='SharedAccess'")
 For Each objItem in colListOfServices
    for each property in objItem.Properties_
      if not IsNull(property) then
        if property.name = "Started" then
          serviceStarted = property.value
        end if
        if property.name = "StartMode" then
          startMode = property.value
        end if
        if property.name = "State" then
          state = property.value
        end if
        if property.name = "Status" then
          serviceStatus = property.value
        end if
     end if
   Next
 Next

set sh = Wscript.CreateObject("WScript.Shell")

installPath=sh.RegRead("HKLM\SYSTEM\CurrentControlSet\Services\SharedAccess\ImagePath" )
if not Err.number = 0 then
   installPath="[ERROR:" & Err.description & "]"
   Err.clear
end if

version = sh.RegRead("HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\CSDVersion" )
if not Err.number = 0 then
   version="[ERROR:" & Err.description & "]"
   Err.clear
end if

firewallEnabled=sh.RegRead("HKLM\SYSTEM\CurrentControlSet\Services\SharedAccess\Parameters\FirewallPolicy\StandardProfile\EnableFirewall" )
if not Err.number = 0 then
   firewallEnabled="[ERROR:" & Err.description & "]"
   Err.clear
end if

if not IsNull(installPath) then
  Wscript.echo "[INSTALLED]"
else
  Wscript.echo "[NOT INSTALLED]"
end if

Wscript.echo "enabled=" & firewallEnabled
Wscript.echo "installPath=" & installPath
Wscript.echo "installDate=" & installDate
Wscript.echo "version=" & version
Wscript.echo "startMode=" & startMode
Wscript.echo "serviceStatus=" & serviceStatus
Wscript.echo "serviceState=" & state
Wscript.echo "serviceStarted=" & serviceStarted  
